## org.codehaus.groovy.ant
Class CompileTaskSupport

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport

All Implemented Interfaces:
  Cloneable, SelectorContainer

Direct Known Subclasses:
  GenerateStubsTask, GroovycTask

    public abstract class CompileTaskSupport

extends MatchingTask

Support for compilation related tasks.

Version:
  $Id: CompileTaskSupport.java 8071 2007-09-13 17:58:02Z blackdrag $
Author:
  Jason Dillon

Field Summary
`protected Path` `classpath`
`protected CompilerConfiguration` `config`
`protected File` `destdir`
`protected boolean` `failOnError`
`protected LoggingHelper` `log`
`protected Path` `src`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`CompileTaskSupport()`

Method Summary
`protected abstract void` `compile()`
`protected GroovyClassLoader` `createClassLoader()`
`Path` `createClasspath()`
`CompilerConfiguration` `createConfiguration()`
`Path` `createSrc()`
`void` `execute()`
`Path` `getClasspath()`
`boolean` `getFailonerror()`
`Path` `getSrcdir()`
`protected void` `handleException(Exception e)`
`void` `setClasspath(Path path)`
`void` `setClasspathRef(Reference r)`
`void` `setDestdir(File dir)`
`void` `setFailonerror(boolean fail)`
`void` `setSrcdir(Path dir)`
`protected void` `validate()`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final LoggingHelper log

### src

    protected Path src

### destdir

    protected File destdir

### classpath

    protected Path classpath

### config

    protected CompilerConfiguration config

### failOnError

    protected boolean failOnError

Constructor Detail

### CompileTaskSupport

    public CompileTaskSupport()

Method Detail

### setFailonerror

    public void setFailonerror(boolean fail)

### getFailonerror

    public boolean getFailonerror()

### createSrc

    public Path createSrc()

### setSrcdir

    public void setSrcdir(Path dir)

### getSrcdir

    public Path getSrcdir()

### setDestdir

    public void setDestdir(File dir)

### setClasspath

    public void setClasspath(Path path)

### getClasspath

    public Path getClasspath()

### createClasspath

    public Path createClasspath()

### setClasspathRef

    public void setClasspathRef(Reference r)

### createConfiguration

    public CompilerConfiguration createConfiguration()

### validate

    protected void validate()
                     throws BuildException

  Throws:
    `BuildException`

### createClassLoader

    protected GroovyClassLoader createClassLoader()

### handleException

    protected void handleException(Exception e)
                            throws BuildException

  Throws:
    `BuildException`

### execute

    public void execute()
                 throws BuildException

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException`

### compile

    protected abstract void compile()
                             throws Exception

  Throws:
    `Exception`

Copyright © 2003-2008 The Codehaus. All rights reserved.